Delete a cloud volume

DELETE/v1/cloud_block_storage/volumes/{volume_id}

A DELETE request to the /v1/cloud_block_storage/volumes/{volume_id} endpoint will remove a volume. Specify its ID in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

volume_id*string

A unique identifier of a volume.

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/cloud_block_storage/volumes/WZdPwbKg"
{  "id": "WZdPwbKg",  "openstack_uuid": "25de1ea6-51c3-4135-a503-820cabb8ac81",  "region_id": 0,  "region_code": "NL01",  "name": "vol1",  "size": 1,  "status": "deleting",  "created_at": "2021-02-25T14:56:52Z",  "bootable": false,  "labels": {},  "attachments": [],  "description": "vol1"}
{  "message": "Region in maintenance mode",  "code": "CLOUD_REGION_MAINTENANCE"}